Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyAnnotationRef

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyAnnotationRef

- All Implemented Interfaces and Traits:
    GroovyAnnotationRef

      public class SimpleGroovyAnnotationRef
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyAnnotationRef (String name, String desc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `description()`
    `` | `boolean` | `isTypeAvailable()`
    `` | `String` | `name()`
    `` | `void` | `setName(String name)`
    `` | `void` | `setType(GroovyClassDoc type)`
    `` | `GroovyClassDoc` | `type()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyAnnotationRef(String name, String desc)

  - ### Method Detail

    - #### public String description()

    - #### public boolean isTypeAvailable()

    - #### public String name()

    - #### public void setName(String name)

    - #### public void setType(GroovyClassDoc type)

    - #### public GroovyClassDoc type()